advertentie

Dit forum is niet langer actief. Voor vragen kun je voortaan terecht in de Vraag & Antwoord-rubriek van PCMweb.nl

 
Oud 18 June 2010, 13:11   #1
neb
PCM Newbie
 
Geregistreerd: 7 September 2006
Berichten: 96
Standaard XPI voor Mozilla Thundebird

Onlangs vond ik een Mozilla Thunderbird extensie "sender_verification_extension-0.9.0.5-tb.xpi".
bij het installeren kreeg ik de foutboodschap dat de extensie niet compatibel was met mijn versie van Thunderbird (3.0.5).
ik vond een site die een oplossing had:
---------------------------------------------------------
solution
go to developer's web site download the latest version
modified install.rdf change the version : 3.0.0.* in 3.0.*
and install it .
it's working
---------------------------------------------------------
ik downloade de source code van de developers website en kon dus in de file "install.rdf" de entry wijzigen zoals de oplossing voorstelde. To zover geen probleem.
Maar dan weet ik niet goed hoe ik verder moet met de cryptische omschrijving "and install it"
Mijn vraag is nu: kan iemand mij helpen HOE ik dat moet installeren.
Ik vermoed dat ik op ??n of andere manier het geheel moet hercompileren (hoe en met wat?) om een Thunderbird extensie (xpi) te bekomen?

bedankt op voorhand
neb is offline   Met citaat antwoorden
Oud 18 June 2010, 14:15   #2
Chato
PCM Lord
 
Chato's schermafbeelding
 
Geregistreerd: 28 September 2008
Locatie: Enschede
Berichten: 678
Stuur een bericht via ICQ naar Chato
Standaard

Normaal gesproken zou de standaard methode om te compilen moeten werken.
Code:
./configure
make 
make install
Overigens staat dit ook in de README:
Citaat:
To create the XPI installer for Thunderbird, run make!
Mocht je met het compilen tegen problemen aanlopen, of een foutmelding krijgen, vind je hier een troubleshoot-guide.
__________________
Chato
Twitter

Laatst gewijzigd door Chato : 18 June 2010 om 14:23
Chato is offline   Met citaat antwoorden
Oud 18 June 2010, 16:07   #3
neb
PCM Newbie
 
Geregistreerd: 7 September 2006
Berichten: 96
Standaard

bedankt voor uw antwoord Chato, maar ik veronderstel dat ik te dom of te onwetend ben om ook uw antwoord te begrijpen.
WAAR kan ik "make" vinden? make moet een executable zijn die de taal verstaat van van het install script?
in welke programeeromgeving is dit?
neb is offline   Met citaat antwoorden
Oud 18 June 2010, 16:15   #4
Chato
PCM Lord
 
Chato's schermafbeelding
 
Geregistreerd: 28 September 2008
Locatie: Enschede
Berichten: 678
Stuur een bericht via ICQ naar Chato
Standaard

De 'domheid' zit aan mijn kant.
Ik ging er te gemakkelijk vanuit dat je in een linux-omgeving zat omdat je sprak over het compilen.
Compilen van open source apps in een Windows-omgeving kom je niet vaak tegen (=understatement).

Uit jouw antwoord begrijp ik dat je Windows draait.
Als je daarin wilt compilen lijkt het mij het verstandigst dit te doen in een 'nagebootste' linux-omgeving. Met CygWin. Even googlen voor meer info.

Verder heb ik geen ervaring met compilen in Windows.
Sorry voor het misverstand.
__________________
Chato
Twitter

Laatst gewijzigd door Chato : 18 June 2010 om 16:20
Chato is offline   Met citaat antwoorden
Oud 19 June 2010, 10:17   #5
neb
PCM Newbie
 
Geregistreerd: 7 September 2006
Berichten: 96
Standaard

dag Chato,
ik werk inderdaad in Windows (7). Mijn fout om dit niet de eerste keer te vermelden.
In elk geval bedankt voor het antwoord.
zal zien hoe ik tot een oplossing kom.
amtijd tot genoegen.
neb is offline   Met citaat antwoorden
Antwoord


Discussietools
Weergave

Regels voor berichten
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is Aan
Smileys zijn Aan
[IMG]-code is Aan
HTML-code is Uit

Forumnavigatie


Alle tijden zijn GMT +1. Het is nu 02:39.



Powered by vBulletin Version 3.8.6
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
Nederlandse vBulletin-vertaling door Alacer beschikbaar gesteld door Applinet.